
float Si7021_humidity, Si7021_temperature;

//--------------------------------------------------

#include <Si7021.h>

Si7021 si7021;

byte Si7021_phase = 0;

void Si7021_setup() {  
  si7021.begin();
}

void Si7021_loop() {

  switch ( Si7021_phase ) {
    case 0: si7021.measureHumidity_start(); break;
    case 1: Si7021_humidity = si7021.measureHumidity_finish(); break;
    case 2: si7021.getTemperatureFromPreviousHumidityMeasurement_start(); break;
    case 3: Si7021_temperature = si7021.getTemperatureFromPreviousHumidityMeasurement_finish(); break;
  }

#ifdef DO_SERIAL
  Serial.print("Si7021: ");
  Serial.print(Si7021_temperature);
  Serial.print(" degC ");
  Serial.print("Humidity: ");
  Serial.print(Si7021_humidity);
  Serial.println("%");
#endif  

  Si7021_phase = (Si7021_phase + 1) % 4;
}
